;
; File Name: cyfitteriar.inc
; 
; PSoC Creator  4.3
;
; Description:
; 
;
;-------------------------------------------------------------------------------
; Copyright (c) 2007-2019 Cypress Semiconductor.  All rights reserved.
; You may use this file only in accordance with the license, terms, conditions, 
; disclaimers, and limitations in the end user license agreement accompanying 
; the software package with which this file was provided.
;-------------------------------------------------------------------------------

#ifndef INCLUDED_CYFITTERIAR_INC
#define INCLUDED_CYFITTERIAR_INC
    INCLUDE cydeviceiar.inc
    INCLUDE cydeviceiar_trm.inc

/* LCD */
LCD_LCDPort__0__INTTYPE EQU CYREG_PICU2_INTTYPE0
LCD_LCDPort__0__MASK EQU 0x01
LCD_LCDPort__0__PC EQU CYREG_PRT2_PC0
LCD_LCDPort__0__PORT EQU 2
LCD_LCDPort__0__SHIFT EQU 0
LCD_LCDPort__1__INTTYPE EQU CYREG_PICU2_INTTYPE1
LCD_LCDPort__1__MASK EQU 0x02
LCD_LCDPort__1__PC EQU CYREG_PRT2_PC1
LCD_LCDPort__1__PORT EQU 2
LCD_LCDPort__1__SHIFT EQU 1
LCD_LCDPort__2__INTTYPE EQU CYREG_PICU2_INTTYPE2
LCD_LCDPort__2__MASK EQU 0x04
LCD_LCDPort__2__PC EQU CYREG_PRT2_PC2
LCD_LCDPort__2__PORT EQU 2
LCD_LCDPort__2__SHIFT EQU 2
LCD_LCDPort__3__INTTYPE EQU CYREG_PICU2_INTTYPE3
LCD_LCDPort__3__MASK EQU 0x08
LCD_LCDPort__3__PC EQU CYREG_PRT2_PC3
LCD_LCDPort__3__PORT EQU 2
LCD_LCDPort__3__SHIFT EQU 3
LCD_LCDPort__4__INTTYPE EQU CYREG_PICU2_INTTYPE4
LCD_LCDPort__4__MASK EQU 0x10
LCD_LCDPort__4__PC EQU CYREG_PRT2_PC4
LCD_LCDPort__4__PORT EQU 2
LCD_LCDPort__4__SHIFT EQU 4
LCD_LCDPort__5__INTTYPE EQU CYREG_PICU2_INTTYPE5
LCD_LCDPort__5__MASK EQU 0x20
LCD_LCDPort__5__PC EQU CYREG_PRT2_PC5
LCD_LCDPort__5__PORT EQU 2
LCD_LCDPort__5__SHIFT EQU 5
LCD_LCDPort__6__INTTYPE EQU CYREG_PICU2_INTTYPE6
LCD_LCDPort__6__MASK EQU 0x40
LCD_LCDPort__6__PC EQU CYREG_PRT2_PC6
LCD_LCDPort__6__PORT EQU 2
LCD_LCDPort__6__SHIFT EQU 6
LCD_LCDPort__AG EQU CYREG_PRT2_AG
LCD_LCDPort__AMUX EQU CYREG_PRT2_AMUX
LCD_LCDPort__BIE EQU CYREG_PRT2_BIE
LCD_LCDPort__BIT_MASK EQU CYREG_PRT2_BIT_MASK
LCD_LCDPort__BYP EQU CYREG_PRT2_BYP
LCD_LCDPort__CTL EQU CYREG_PRT2_CTL
LCD_LCDPort__DM0 EQU CYREG_PRT2_DM0
LCD_LCDPort__DM1 EQU CYREG_PRT2_DM1
LCD_LCDPort__DM2 EQU CYREG_PRT2_DM2
LCD_LCDPort__DR EQU CYREG_PRT2_DR
LCD_LCDPort__INP_DIS EQU CYREG_PRT2_INP_DIS
LCD_LCDPort__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU2_BASE
LCD_LCDPort__LCD_COM_SEG EQU CYREG_PRT2_LCD_COM_SEG
LCD_LCDPort__LCD_EN EQU CYREG_PRT2_LCD_EN
LCD_LCDPort__MASK EQU 0x7F
LCD_LCDPort__PORT EQU 2
LCD_LCDPort__PRT EQU CYREG_PRT2_PRT
LCD_LCDPort__PRTDSI__CAPS_SEL EQU CYREG_PRT2_CAPS_SEL
LCD_LCDPort__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT2_DBL_SYNC_IN
LCD_LCDPort__PRTDSI__OE_SEL0 EQU CYREG_PRT2_OE_SEL0
LCD_LCDPort__PRTDSI__OE_SEL1 EQU CYREG_PRT2_OE_SEL1
LCD_LCDPort__PRTDSI__OUT_SEL0 EQU CYREG_PRT2_OUT_SEL0
LCD_LCDPort__PRTDSI__OUT_SEL1 EQU CYREG_PRT2_OUT_SEL1
LCD_LCDPort__PRTDSI__SYNC_OUT EQU CYREG_PRT2_SYNC_OUT
LCD_LCDPort__PS EQU CYREG_PRT2_PS
LCD_LCDPort__SHIFT EQU 0
LCD_LCDPort__SLW EQU CYREG_PRT2_SLW

/* ISR_Tick */
ISR_Tick__INTC_CLR_EN_REG EQU CYREG_NVIC_CLRENA0
ISR_Tick__INTC_CLR_PD_REG EQU CYREG_NVIC_CLRPEND0
ISR_Tick__INTC_MASK EQU 0x01
ISR_Tick__INTC_NUMBER EQU 0
ISR_Tick__INTC_PRIOR_NUM EQU 7
ISR_Tick__INTC_PRIOR_REG EQU CYREG_NVIC_PRI_0
ISR_Tick__INTC_SET_EN_REG EQU CYREG_NVIC_SETENA0
ISR_Tick__INTC_SET_PD_REG EQU CYREG_NVIC_SETPEND0

/* ADC_Sensor */
ADC_Sensor_DEC__COHER EQU CYREG_DEC_COHER
ADC_Sensor_DEC__CR EQU CYREG_DEC_CR
ADC_Sensor_DEC__DR1 EQU CYREG_DEC_DR1
ADC_Sensor_DEC__DR2 EQU CYREG_DEC_DR2
ADC_Sensor_DEC__DR2H EQU CYREG_DEC_DR2H
ADC_Sensor_DEC__GCOR EQU CYREG_DEC_GCOR
ADC_Sensor_DEC__GCORH EQU CYREG_DEC_GCORH
ADC_Sensor_DEC__GVAL EQU CYREG_DEC_GVAL
ADC_Sensor_DEC__OCOR EQU CYREG_DEC_OCOR
ADC_Sensor_DEC__OCORH EQU CYREG_DEC_OCORH
ADC_Sensor_DEC__OCORM EQU CYREG_DEC_OCORM
ADC_Sensor_DEC__OUTSAMP EQU CYREG_DEC_OUTSAMP
ADC_Sensor_DEC__OUTSAMPH EQU CYREG_DEC_OUTSAMPH
ADC_Sensor_DEC__OUTSAMPM EQU CYREG_DEC_OUTSAMPM
ADC_Sensor_DEC__OUTSAMPS EQU CYREG_DEC_OUTSAMPS
ADC_Sensor_DEC__PM_ACT_CFG EQU CYREG_PM_ACT_CFG10
ADC_Sensor_DEC__PM_ACT_MSK EQU 0x01
ADC_Sensor_DEC__PM_STBY_CFG EQU CYREG_PM_STBY_CFG10
ADC_Sensor_DEC__PM_STBY_MSK EQU 0x01
ADC_Sensor_DEC__SHIFT1 EQU CYREG_DEC_SHIFT1
ADC_Sensor_DEC__SHIFT2 EQU CYREG_DEC_SHIFT2
ADC_Sensor_DEC__SR EQU CYREG_DEC_SR
ADC_Sensor_DEC__TRIM__M1 EQU CYREG_FLSHID_CUST_TABLES_DEC_M1
ADC_Sensor_DEC__TRIM__M2 EQU CYREG_FLSHID_CUST_TABLES_DEC_M2
ADC_Sensor_DEC__TRIM__M3 EQU CYREG_FLSHID_CUST_TABLES_DEC_M3
ADC_Sensor_DEC__TRIM__M4 EQU CYREG_FLSHID_CUST_TABLES_DEC_M4
ADC_Sensor_DEC__TRIM__M5 EQU CYREG_FLSHID_CUST_TABLES_DEC_M5
ADC_Sensor_DEC__TRIM__M6 EQU CYREG_FLSHID_CUST_TABLES_DEC_M6
ADC_Sensor_DEC__TRIM__M7 EQU CYREG_FLSHID_CUST_TABLES_DEC_M7
ADC_Sensor_DEC__TRIM__M8 EQU CYREG_FLSHID_CUST_TABLES_DEC_M8
ADC_Sensor_DSM__BUF0 EQU CYREG_DSM0_BUF0
ADC_Sensor_DSM__BUF1 EQU CYREG_DSM0_BUF1
ADC_Sensor_DSM__BUF2 EQU CYREG_DSM0_BUF2
ADC_Sensor_DSM__BUF3 EQU CYREG_DSM0_BUF3
ADC_Sensor_DSM__CLK EQU CYREG_DSM0_CLK
ADC_Sensor_DSM__CR0 EQU CYREG_DSM0_CR0
ADC_Sensor_DSM__CR1 EQU CYREG_DSM0_CR1
ADC_Sensor_DSM__CR10 EQU CYREG_DSM0_CR10
ADC_Sensor_DSM__CR11 EQU CYREG_DSM0_CR11
ADC_Sensor_DSM__CR12 EQU CYREG_DSM0_CR12
ADC_Sensor_DSM__CR13 EQU CYREG_DSM0_CR13
ADC_Sensor_DSM__CR14 EQU CYREG_DSM0_CR14
ADC_Sensor_DSM__CR15 EQU CYREG_DSM0_CR15
ADC_Sensor_DSM__CR16 EQU CYREG_DSM0_CR16
ADC_Sensor_DSM__CR17 EQU CYREG_DSM0_CR17
ADC_Sensor_DSM__CR2 EQU CYREG_DSM0_CR2
ADC_Sensor_DSM__CR3 EQU CYREG_DSM0_CR3
ADC_Sensor_DSM__CR4 EQU CYREG_DSM0_CR4
ADC_Sensor_DSM__CR5 EQU CYREG_DSM0_CR5
ADC_Sensor_DSM__CR6 EQU CYREG_DSM0_CR6
ADC_Sensor_DSM__CR7 EQU CYREG_DSM0_CR7
ADC_Sensor_DSM__CR8 EQU CYREG_DSM0_CR8
ADC_Sensor_DSM__CR9 EQU CYREG_DSM0_CR9
ADC_Sensor_DSM__DEM0 EQU CYREG_DSM0_DEM0
ADC_Sensor_DSM__DEM1 EQU CYREG_DSM0_DEM1
ADC_Sensor_DSM__MISC EQU CYREG_DSM0_MISC
ADC_Sensor_DSM__OUT0 EQU CYREG_DSM0_OUT0
ADC_Sensor_DSM__OUT1 EQU CYREG_DSM0_OUT1
ADC_Sensor_DSM__REF0 EQU CYREG_DSM0_REF0
ADC_Sensor_DSM__REF1 EQU CYREG_DSM0_REF1
ADC_Sensor_DSM__REF2 EQU CYREG_DSM0_REF2
ADC_Sensor_DSM__REF3 EQU CYREG_DSM0_REF3
ADC_Sensor_DSM__RSVD1 EQU CYREG_DSM0_RSVD1
ADC_Sensor_DSM__SW0 EQU CYREG_DSM0_SW0
ADC_Sensor_DSM__SW2 EQU CYREG_DSM0_SW2
ADC_Sensor_DSM__SW3 EQU CYREG_DSM0_SW3
ADC_Sensor_DSM__SW4 EQU CYREG_DSM0_SW4
ADC_Sensor_DSM__SW6 EQU CYREG_DSM0_SW6
ADC_Sensor_DSM__TR0 EQU CYREG_NPUMP_DSM_TR0
ADC_Sensor_DSM__TST0 EQU CYREG_DSM0_TST0
ADC_Sensor_DSM__TST1 EQU CYREG_DSM0_TST1
ADC_Sensor_Ext_CP_Clk__CFG0 EQU CYREG_CLKDIST_DCFG0_CFG0
ADC_Sensor_Ext_CP_Clk__CFG1 EQU CYREG_CLKDIST_DCFG0_CFG1
ADC_Sensor_Ext_CP_Clk__CFG2 EQU CYREG_CLKDIST_DCFG0_CFG2
ADC_Sensor_Ext_CP_Clk__CFG2_SRC_SEL_MASK EQU 0x07
ADC_Sensor_Ext_CP_Clk__INDEX EQU 0x00
ADC_Sensor_Ext_CP_Clk__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
ADC_Sensor_Ext_CP_Clk__PM_ACT_MSK EQU 0x01
ADC_Sensor_Ext_CP_Clk__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
ADC_Sensor_Ext_CP_Clk__PM_STBY_MSK EQU 0x01
ADC_Sensor_IRQ__INTC_CLR_EN_REG EQU CYREG_NVIC_CLRENA0
ADC_Sensor_IRQ__INTC_CLR_PD_REG EQU CYREG_NVIC_CLRPEND0
ADC_Sensor_IRQ__INTC_MASK EQU 0x02
ADC_Sensor_IRQ__INTC_NUMBER EQU 1
ADC_Sensor_IRQ__INTC_PRIOR_NUM EQU 7
ADC_Sensor_IRQ__INTC_PRIOR_REG EQU CYREG_NVIC_PRI_1
ADC_Sensor_IRQ__INTC_SET_EN_REG EQU CYREG_NVIC_SETENA0
ADC_Sensor_IRQ__INTC_SET_PD_REG EQU CYREG_NVIC_SETPEND0
ADC_Sensor_theACLK__CFG0 EQU CYREG_CLKDIST_ACFG0_CFG0
ADC_Sensor_theACLK__CFG1 EQU CYREG_CLKDIST_ACFG0_CFG1
ADC_Sensor_theACLK__CFG2 EQU CYREG_CLKDIST_ACFG0_CFG2
ADC_Sensor_theACLK__CFG2_SRC_SEL_MASK EQU 0x07
ADC_Sensor_theACLK__CFG3 EQU CYREG_CLKDIST_ACFG0_CFG3
ADC_Sensor_theACLK__CFG3_PHASE_DLY_MASK EQU 0x0F
ADC_Sensor_theACLK__INDEX EQU 0x00
ADC_Sensor_theACLK__PM_ACT_CFG EQU CYREG_PM_ACT_CFG1
ADC_Sensor_theACLK__PM_ACT_MSK EQU 0x01
ADC_Sensor_theACLK__PM_STBY_CFG EQU CYREG_PM_STBY_CFG1
ADC_Sensor_theACLK__PM_STBY_MSK EQU 0x01

/* Clock_Tick */
Clock_Tick__CFG0 EQU CYREG_CLKDIST_DCFG1_CFG0
Clock_Tick__CFG1 EQU CYREG_CLKDIST_DCFG1_CFG1
Clock_Tick__CFG2 EQU CYREG_CLKDIST_DCFG1_CFG2
Clock_Tick__CFG2_SRC_SEL_MASK EQU 0x07
Clock_Tick__INDEX EQU 0x01
Clock_Tick__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
Clock_Tick__PM_ACT_MSK EQU 0x02
Clock_Tick__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
Clock_Tick__PM_STBY_MSK EQU 0x02

/* SensorPlus */
SensorPlus__0__INTTYPE EQU CYREG_PICU0_INTTYPE6
SensorPlus__0__MASK EQU 0x40
SensorPlus__0__PC EQU CYREG_PRT0_PC6
SensorPlus__0__PORT EQU 0
SensorPlus__0__SHIFT EQU 6
SensorPlus__AG EQU CYREG_PRT0_AG
SensorPlus__AMUX EQU CYREG_PRT0_AMUX
SensorPlus__BIE EQU CYREG_PRT0_BIE
SensorPlus__BIT_MASK EQU CYREG_PRT0_BIT_MASK
SensorPlus__BYP EQU CYREG_PRT0_BYP
SensorPlus__CTL EQU CYREG_PRT0_CTL
SensorPlus__DM0 EQU CYREG_PRT0_DM0
SensorPlus__DM1 EQU CYREG_PRT0_DM1
SensorPlus__DM2 EQU CYREG_PRT0_DM2
SensorPlus__DR EQU CYREG_PRT0_DR
SensorPlus__INP_DIS EQU CYREG_PRT0_INP_DIS
SensorPlus__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU0_BASE
SensorPlus__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
SensorPlus__LCD_EN EQU CYREG_PRT0_LCD_EN
SensorPlus__MASK EQU 0x40
SensorPlus__PORT EQU 0
SensorPlus__PRT EQU CYREG_PRT0_PRT
SensorPlus__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
SensorPlus__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
SensorPlus__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
SensorPlus__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
SensorPlus__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
SensorPlus__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
SensorPlus__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
SensorPlus__PS EQU CYREG_PRT0_PS
SensorPlus__SHIFT EQU 6
SensorPlus__SLW EQU CYREG_PRT0_SLW

/* Timer_Tick */
Timer_Tick_TimerHW__CAP0 EQU CYREG_TMR0_CAP0
Timer_Tick_TimerHW__CAP1 EQU CYREG_TMR0_CAP1
Timer_Tick_TimerHW__CFG0 EQU CYREG_TMR0_CFG0
Timer_Tick_TimerHW__CFG1 EQU CYREG_TMR0_CFG1
Timer_Tick_TimerHW__CFG2 EQU CYREG_TMR0_CFG2
Timer_Tick_TimerHW__CNT_CMP0 EQU CYREG_TMR0_CNT_CMP0
Timer_Tick_TimerHW__CNT_CMP1 EQU CYREG_TMR0_CNT_CMP1
Timer_Tick_TimerHW__PER0 EQU CYREG_TMR0_PER0
Timer_Tick_TimerHW__PER1 EQU CYREG_TMR0_PER1
Timer_Tick_TimerHW__PM_ACT_CFG EQU CYREG_PM_ACT_CFG3
Timer_Tick_TimerHW__PM_ACT_MSK EQU 0x01
Timer_Tick_TimerHW__PM_STBY_CFG EQU CYREG_PM_STBY_CFG3
Timer_Tick_TimerHW__PM_STBY_MSK EQU 0x01
Timer_Tick_TimerHW__RT0 EQU CYREG_TMR0_RT0
Timer_Tick_TimerHW__RT1 EQU CYREG_TMR0_RT1
Timer_Tick_TimerHW__SR0 EQU CYREG_TMR0_SR0

/* Pin_SW_Zero */
Pin_SW_Zero__0__INTTYPE EQU CYREG_PICU6_INTTYPE1
Pin_SW_Zero__0__MASK EQU 0x02
Pin_SW_Zero__0__PC EQU CYREG_PRT6_PC1
Pin_SW_Zero__0__PORT EQU 6
Pin_SW_Zero__0__SHIFT EQU 1
Pin_SW_Zero__AG EQU CYREG_PRT6_AG
Pin_SW_Zero__AMUX EQU CYREG_PRT6_AMUX
Pin_SW_Zero__BIE EQU CYREG_PRT6_BIE
Pin_SW_Zero__BIT_MASK EQU CYREG_PRT6_BIT_MASK
Pin_SW_Zero__BYP EQU CYREG_PRT6_BYP
Pin_SW_Zero__CTL EQU CYREG_PRT6_CTL
Pin_SW_Zero__DM0 EQU CYREG_PRT6_DM0
Pin_SW_Zero__DM1 EQU CYREG_PRT6_DM1
Pin_SW_Zero__DM2 EQU CYREG_PRT6_DM2
Pin_SW_Zero__DR EQU CYREG_PRT6_DR
Pin_SW_Zero__INP_DIS EQU CYREG_PRT6_INP_DIS
Pin_SW_Zero__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU6_BASE
Pin_SW_Zero__LCD_COM_SEG EQU CYREG_PRT6_LCD_COM_SEG
Pin_SW_Zero__LCD_EN EQU CYREG_PRT6_LCD_EN
Pin_SW_Zero__MASK EQU 0x02
Pin_SW_Zero__PORT EQU 6
Pin_SW_Zero__PRT EQU CYREG_PRT6_PRT
Pin_SW_Zero__PRTDSI__CAPS_SEL EQU CYREG_PRT6_CAPS_SEL
Pin_SW_Zero__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT6_DBL_SYNC_IN
Pin_SW_Zero__PRTDSI__OE_SEL0 EQU CYREG_PRT6_OE_SEL0
Pin_SW_Zero__PRTDSI__OE_SEL1 EQU CYREG_PRT6_OE_SEL1
Pin_SW_Zero__PRTDSI__OUT_SEL0 EQU CYREG_PRT6_OUT_SEL0
Pin_SW_Zero__PRTDSI__OUT_SEL1 EQU CYREG_PRT6_OUT_SEL1
Pin_SW_Zero__PRTDSI__SYNC_OUT EQU CYREG_PRT6_SYNC_OUT
Pin_SW_Zero__PS EQU CYREG_PRT6_PS
Pin_SW_Zero__SHIFT EQU 1
Pin_SW_Zero__SLW EQU CYREG_PRT6_SLW

/* SensorMinus */
SensorMinus__0__INTTYPE EQU CYREG_PICU0_INTTYPE7
SensorMinus__0__MASK EQU 0x80
SensorMinus__0__PC EQU CYREG_PRT0_PC7
SensorMinus__0__PORT EQU 0
SensorMinus__0__SHIFT EQU 7
SensorMinus__AG EQU CYREG_PRT0_AG
SensorMinus__AMUX EQU CYREG_PRT0_AMUX
SensorMinus__BIE EQU CYREG_PRT0_BIE
SensorMinus__BIT_MASK EQU CYREG_PRT0_BIT_MASK
SensorMinus__BYP EQU CYREG_PRT0_BYP
SensorMinus__CTL EQU CYREG_PRT0_CTL
SensorMinus__DM0 EQU CYREG_PRT0_DM0
SensorMinus__DM1 EQU CYREG_PRT0_DM1
SensorMinus__DM2 EQU CYREG_PRT0_DM2
SensorMinus__DR EQU CYREG_PRT0_DR
SensorMinus__INP_DIS EQU CYREG_PRT0_INP_DIS
SensorMinus__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU0_BASE
SensorMinus__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
SensorMinus__LCD_EN EQU CYREG_PRT0_LCD_EN
SensorMinus__MASK EQU 0x80
SensorMinus__PORT EQU 0
SensorMinus__PRT EQU CYREG_PRT0_PRT
SensorMinus__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
SensorMinus__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
SensorMinus__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
SensorMinus__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
SensorMinus__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
SensorMinus__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
SensorMinus__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
SensorMinus__PS EQU CYREG_PRT0_PS
SensorMinus__SHIFT EQU 7
SensorMinus__SLW EQU CYREG_PRT0_SLW

/* ISR_ADC_Sample */
ISR_ADC_Sample__INTC_CLR_EN_REG EQU CYREG_NVIC_CLRENA0
ISR_ADC_Sample__INTC_CLR_PD_REG EQU CYREG_NVIC_CLRPEND0
ISR_ADC_Sample__INTC_MASK EQU 0x20000000
ISR_ADC_Sample__INTC_NUMBER EQU 29
ISR_ADC_Sample__INTC_PRIOR_NUM EQU 7
ISR_ADC_Sample__INTC_PRIOR_REG EQU CYREG_NVIC_PRI_29
ISR_ADC_Sample__INTC_SET_EN_REG EQU CYREG_NVIC_SETENA0
ISR_ADC_Sample__INTC_SET_PD_REG EQU CYREG_NVIC_SETPEND0

/* Miscellaneous */
BCLK__BUS_CLK__HZ EQU 24000000
BCLK__BUS_CLK__KHZ EQU 24000
BCLK__BUS_CLK__MHZ EQU 24
CYDEV_CHIP_DIE_LEOPARD EQU 1
CYDEV_CHIP_DIE_PSOC4A EQU 24
CYDEV_CHIP_DIE_PSOC5LP EQU 2
CYDEV_CHIP_DIE_PSOC5TM EQU 3
CYDEV_CHIP_DIE_TMA4 EQU 4
CYDEV_CHIP_DIE_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_FM0P EQU 5
CYDEV_CHIP_FAMILY_FM3 EQU 6
CYDEV_CHIP_FAMILY_FM4 EQU 7
CYDEV_CHIP_FAMILY_PSOC3 EQU 1
CYDEV_CHIP_FAMILY_PSOC4 EQU 2
CYDEV_CHIP_FAMILY_PSOC5 EQU 3
CYDEV_CHIP_FAMILY_PSOC6 EQU 4
CYDEV_CHIP_FAMILY_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_USED EQU CYDEV_CHIP_FAMILY_PSOC5
CYDEV_CHIP_JTAG_ID EQU 0x2E123069
CYDEV_CHIP_MEMBER_3A EQU 1
CYDEV_CHIP_MEMBER_4A EQU 24
CYDEV_CHIP_MEMBER_4AA EQU 23
CYDEV_CHIP_MEMBER_4AB EQU 28
CYDEV_CHIP_MEMBER_4AC EQU 14
CYDEV_CHIP_MEMBER_4D EQU 18
CYDEV_CHIP_MEMBER_4E EQU 6
CYDEV_CHIP_MEMBER_4F EQU 25
CYDEV_CHIP_MEMBER_4G EQU 4
CYDEV_CHIP_MEMBER_4H EQU 22
CYDEV_CHIP_MEMBER_4I EQU 30
CYDEV_CHIP_MEMBER_4J EQU 19
CYDEV_CHIP_MEMBER_4K EQU 20
CYDEV_CHIP_MEMBER_4L EQU 29
CYDEV_CHIP_MEMBER_4M EQU 27
CYDEV_CHIP_MEMBER_4N EQU 11
CYDEV_CHIP_MEMBER_4O EQU 8
CYDEV_CHIP_MEMBER_4P EQU 26
CYDEV_CHIP_MEMBER_4Q EQU 15
CYDEV_CHIP_MEMBER_4R EQU 9
CYDEV_CHIP_MEMBER_4S EQU 12
CYDEV_CHIP_MEMBER_4T EQU 10
CYDEV_CHIP_MEMBER_4U EQU 5
CYDEV_CHIP_MEMBER_4V EQU 21
CYDEV_CHIP_MEMBER_4W EQU 13
CYDEV_CHIP_MEMBER_4X EQU 7
CYDEV_CHIP_MEMBER_4Y EQU 16
CYDEV_CHIP_MEMBER_4Z EQU 17
CYDEV_CHIP_MEMBER_5A EQU 3
CYDEV_CHIP_MEMBER_5B EQU 2
CYDEV_CHIP_MEMBER_6A EQU 31
CYDEV_CHIP_MEMBER_FM3 EQU 35
CYDEV_CHIP_MEMBER_FM4 EQU 36
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1 EQU 32
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2 EQU 33
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3 EQU 34
CYDEV_CHIP_MEMBER_UNKNOWN EQU 0
CYDEV_CHIP_MEMBER_USED EQU CYDEV_CHIP_MEMBER_5B
CYDEV_CHIP_DIE_EXPECT EQU CYDEV_CHIP_MEMBER_USED
CYDEV_CHIP_DIE_ACTUAL EQU CYDEV_CHIP_DIE_EXPECT
CYDEV_CHIP_REV_LEOPARD_ES1 EQU 0
CYDEV_CHIP_REV_LEOPARD_ES2 EQU 1
CYDEV_CHIP_REV_LEOPARD_ES3 EQU 3
CYDEV_CHIP_REV_LEOPARD_PRODUCTION EQU 3
CYDEV_CHIP_REV_PSOC4A_ES0 EQU 17
CYDEV_CHIP_REV_PSOC4A_PRODUCTION EQU 17
CYDEV_CHIP_REV_PSOC5LP_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5LP_PRODUCTION EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES1 EQU 1
CYDEV_CHIP_REV_PSOC5TM_PRODUCTION EQU 1
CYDEV_CHIP_REV_TMA4_ES EQU 17
CYDEV_CHIP_REV_TMA4_ES2 EQU 33
CYDEV_CHIP_REV_TMA4_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_3A_ES1 EQU 0
CYDEV_CHIP_REVISION_3A_ES2 EQU 1
CYDEV_CHIP_REVISION_3A_ES3 EQU 3
CYDEV_CHIP_REVISION_3A_PRODUCTION EQU 3
CYDEV_CHIP_REVISION_4A_ES0 EQU 17
CYDEV_CHIP_REVISION_4A_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4AA_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AB_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AC_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4D_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD EQU 0
CYDEV_CHIP_REVISION_4E_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256K EQU 0
CYDEV_CHIP_REVISION_4G_ES EQU 17
CYDEV_CHIP_REVISION_4G_ES2 EQU 33
CYDEV_CHIP_REVISION_4G_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4H_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4I_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4J_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4K_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4L_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4M_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4N_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4O_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4P_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Q_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4R_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4S_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4T_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4U_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4V_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4W_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4X_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Y_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Z_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_5A_ES0 EQU 0
CYDEV_CHIP_REVISION_5A_ES1 EQU 1
CYDEV_CHIP_REVISION_5A_PRODUCTION EQU 1
CYDEV_CHIP_REVISION_5B_ES0 EQU 0
CYDEV_CHIP_REVISION_5B_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_6A_ES EQU 17
CYDEV_CHIP_REVISION_6A_NO_UDB EQU 33
CYDEV_CHIP_REVISION_6A_PRODUCTION EQU 33
CYDEV_CHIP_REVISION_FM3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_FM4_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_USED EQU CYDEV_CHIP_REVISION_5B_PRODUCTION
CYDEV_CHIP_REV_EXPECT EQU CYDEV_CHIP_REVISION_USED
CYDEV_CONFIG_FASTBOOT_ENABLED EQU 1
CYDEV_CONFIG_UNUSED_IO_AllowButWarn EQU 0
CYDEV_CONFIG_UNUSED_IO EQU CYDEV_CONFIG_UNUSED_IO_AllowButWarn
CYDEV_CONFIG_UNUSED_IO_AllowWithInfo EQU 1
CYDEV_CONFIG_UNUSED_IO_Disallowed EQU 2
CYDEV_CONFIGURATION_COMPRESSED EQU 1
CYDEV_CONFIGURATION_DMA EQU 0
CYDEV_CONFIGURATION_ECC EQU 1
CYDEV_CONFIGURATION_IMOENABLED EQU CYDEV_CONFIG_FASTBOOT_ENABLED
CYDEV_CONFIGURATION_MODE_COMPRESSED EQU 0
CYDEV_CONFIGURATION_MODE EQU CYDEV_CONFIGURATION_MODE_COMPRESSED
CYDEV_CONFIGURATION_MODE_DMA EQU 2
CYDEV_CONFIGURATION_MODE_UNCOMPRESSED EQU 1
CYDEV_DEBUG_ENABLE_MASK EQU 0x20
CYDEV_DEBUG_ENABLE_REGISTER EQU CYREG_MLOGIC_DEBUG
CYDEV_DEBUGGING_DPS_Disable EQU 3
CYDEV_DEBUGGING_DPS_JTAG_4 EQU 1
CYDEV_DEBUGGING_DPS_JTAG_5 EQU 0
CYDEV_DEBUGGING_DPS_SWD EQU 2
CYDEV_DEBUGGING_DPS_SWD_SWV EQU 6
CYDEV_DEBUGGING_DPS EQU CYDEV_DEBUGGING_DPS_SWD_SWV
CYDEV_DEBUGGING_ENABLE EQU 1
CYDEV_DEBUGGING_XRES EQU 0
CYDEV_DMA_CHANNELS_AVAILABLE EQU 24
CYDEV_ECC_ENABLE EQU 0
CYDEV_HEAP_SIZE EQU 0x1000
CYDEV_INSTRUCT_CACHE_ENABLED EQU 1
CYDEV_INTR_RISING EQU 0x00000001
CYDEV_IS_EXPORTING_CODE EQU 0
CYDEV_IS_IMPORTING_CODE EQU 0
CYDEV_PROJ_TYPE EQU 0
CYDEV_PROJ_TYPE_BOOTLOADER EQU 1
CYDEV_PROJ_TYPE_LAUNCHER EQU 5
CYDEV_PROJ_TYPE_LOADABLE EQU 2
CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER EQU 4
CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER EQU 3
CYDEV_PROJ_TYPE_STANDARD EQU 0
CYDEV_PROTECTION_ENABLE EQU 0
CYDEV_STACK_SIZE EQU 0x0800
CYDEV_USE_BUNDLED_CMSIS EQU 1
CYDEV_VARIABLE_VDDA EQU 0
CYDEV_VDDA_MV EQU 5000
CYDEV_VDDD_MV EQU 5000
CYDEV_VDDIO0_MV EQU 5000
CYDEV_VDDIO1_MV EQU 5000
CYDEV_VDDIO2_MV EQU 5000
CYDEV_VDDIO3_MV EQU 5000
CYDEV_VIO0_MV EQU 5000
CYDEV_VIO1_MV EQU 5000
CYDEV_VIO2_MV EQU 5000
CYDEV_VIO3_MV EQU 5000
CYIPBLOCK_ARM_CM3_VERSION EQU 0
CYIPBLOCK_P3_ANAIF_VERSION EQU 0
CYIPBLOCK_P3_CAN_VERSION EQU 0
CYIPBLOCK_P3_CAPSENSE_VERSION EQU 0
CYIPBLOCK_P3_COMP_VERSION EQU 0
CYIPBLOCK_P3_DECIMATOR_VERSION EQU 0
CYIPBLOCK_P3_DFB_VERSION EQU 0
CYIPBLOCK_P3_DMA_VERSION EQU 0
CYIPBLOCK_P3_DRQ_VERSION EQU 0
CYIPBLOCK_P3_DSM_VERSION EQU 0
CYIPBLOCK_P3_EMIF_VERSION EQU 0
CYIPBLOCK_P3_I2C_VERSION EQU 0
CYIPBLOCK_P3_LCD_VERSION EQU 0
CYIPBLOCK_P3_LPF_VERSION EQU 0
CYIPBLOCK_P3_OPAMP_VERSION EQU 0
CYIPBLOCK_P3_PM_VERSION EQU 0
CYIPBLOCK_P3_SCCT_VERSION EQU 0
CYIPBLOCK_P3_TIMER_VERSION EQU 0
CYIPBLOCK_P3_USB_VERSION EQU 0
CYIPBLOCK_P3_VIDAC_VERSION EQU 0
CYIPBLOCK_P3_VREF_VERSION EQU 0
CYIPBLOCK_S8_GPIO_VERSION EQU 0
CYIPBLOCK_S8_IRQ_VERSION EQU 0
CYIPBLOCK_S8_SAR_VERSION EQU 0
CYIPBLOCK_S8_SIO_VERSION EQU 0
CYIPBLOCK_S8_UDB_VERSION EQU 0
DMA_CHANNELS_USED__MASK0 EQU 0x00000000
CYDEV_BOOTLOADER_ENABLE EQU 0

#endif /* INCLUDED_CYFITTERIAR_INC */
